### Class

# Devhelp BookList

#### Description

    class Devhelp.BookList : GObject.Object
    {
      DhBookListPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- DhBookListDirectory

#### Constructors

###### dh_book_list_new

No description available.

since: 3.30

#### Functions

###### dh_book_list_get_default

Gets the default `DhBookList` object. It is created with `DhBookListBuilder`, `dh_book_list_builder_add_default_sub_book_lists()` is called, and `dh_book_list_builder_read_books_disabled_setting()` is called with the default `DhSettings` object as returned by dh_settings_get_default().

since: 3.30

#### Instance methods

###### dh_book_list_add_book

Emits the `DhBookList::add-book` signal.

since: 3.30

###### dh_book_list_get_books

Gets the list of `DhBook`‘s part of `book_list`, in no particular order. Each book ID in the list is unique (see dh_book_get_id()).

since: 3.30

###### dh_book_list_remove_book

Emits the `DhBookList::remove-book` signal.

since: 3.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Devhelp.BookList::add-book

The ::add-book signal is emitted when a `DhBook` is added to a `DhBookList`.

since: 3.30

###### Devhelp.BookList::remove-book

The ::remove-book signal is emitted when a `DhBook` is removed from a `DhBookList`.

since: 3.30

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct DevhelpBookListClass {
      GObjectClass parent_class;
      void (* add_book) (
        DhBookList* book_list,
        DhBook* book
      );
      void (* remove_book) (
        DhBookList* book_list,
        DhBook* book
      );
      GList* (* get_books) (
        DhBookList* book_list
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  The parent class.

`add_book: void (* add_book) ( DhBookList* book_list, DhBook* book )`

  Virtual function pointer for the `DhBookList::add-book` signal.

`remove_book: void (* remove_book) ( DhBookList* book_list, DhBook* book )`

  Virtual function pointer for the `DhBookList::remove-book` signal.

`get_books: GList* (* get_books) ( DhBookList* book_list )`

  Virtual function pointer for dh_book_list_get_books(). Returns the `DhBookList` internal `GList` by default. If you override this vfunc ensure that each book ID is unique in the returned list.

#### Virtual methods

###### Devhelp.BookListClass.add_book

Emits the `DhBookList::add-book` signal.

since: 3.30

###### Devhelp.BookListClass.get_books

Gets the list of `DhBook`‘s part of `book_list`, in no particular order. Each book ID in the list is unique (see dh_book_get_id()).

since: 3.30

###### Devhelp.BookListClass.remove_book

Emits the `DhBookList::remove-book` signal.

since: 3.30